=== include/CMakeLists.txt ===
###############################################################################
# Subdirectories
###############################################################################

add_subdirectory(ueye_cam)

###############################################################################
# Files
###############################################################################

file(GLOB HEADERS RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.hpp)

install(FILES ${HEADERS} DESTINATION include)
