=== src/CMakeLists.txt ===
###############################################################################
# Subdirectories
###############################################################################

add_subdirectory(driver)
add_subdirectory(ros)
add_subdirectory(applications)
