=== debian/control ===
Source: ros-foxy-ueye-cam
Section: misc
Priority: optional
Maintainer: Anqi Xu <anqixu@cim.mcgill.ca>
Build-Depends: debhelper (>= 9.0.0), libtclap-dev, ros-foxy-ament-cmake, ros-foxy-ament-lint-auto, ros-foxy-ament-lint-common, ros-foxy-camera-calibration-parsers, ros-foxy-camera-info-manager, ros-foxy-image-transport, ros-foxy-rcl-interfaces, ros-foxy-rclcpp, ros-foxy-rclcpp-components, ros-foxy-sensor-msgs, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-ueye-cam
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-ament-index-python, ros-foxy-camera-calibration-parsers, ros-foxy-camera-info-manager, ros-foxy-image-transport, ros-foxy-launch, ros-foxy-launch-ros, ros-foxy-rcl-interfaces, ros-foxy-rclcpp, ros-foxy-rclcpp-components, ros-foxy-sensor-msgs, ros-foxy-ros-workspace
Description: A ROS node that wraps the driver API for UEye cameras by IDS Imaging Development Systems GMBH.
